Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.java4less.rchart
Class TargetZone

    java.lang.Object
      |
      +--com.java4less.rchart.TargetZone

public class TargetZone
extends java.lang.Object

    Target zone in the chart's background.

Field Summary
`static int` | `DISABLED` use this value if you need to diabled the end position
`FillStyle` | `fillStyle` fill style of the zone
`java.lang.String` | `label` Label of the zone
`double` | `positionEnd` position of the end of the target zone
`double` | `positionStart` position of the target line
`LineStyle` | `style` style of the line
`int` | `unitEnd` units of the target end position
`int` | `unitStart` units of the target start position
`boolean` | `vertical` vertical zone?

Constructor Summary
`TargetZone(double start, double end, int uStart, int uEnd)` constructor

Method Summary
`static TargetZone` | `createFromString(java.lang.String s)` create target zone

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DISABLED

    public static int DISABLED

  use this value if you need to diabled the end position

### unitStart

    public int unitStart

  units of the target start position

### unitEnd

    public int unitEnd

  units of the target end position

### positionStart

    public double positionStart

  position of the target line

### style

    public LineStyle style

  style of the line

### positionEnd

    public double positionEnd

  position of the end of the target zone

### fillStyle

    public FillStyle fillStyle

  fill style of the zone

### label

    public java.lang.String label

  Label of the zone

### vertical

    public boolean vertical

  vertical zone?

Constructor Detail

### TargetZone

    public TargetZone(double start,
                      double end,
                      int uStart,
                      int uEnd)

  constructor

Parameters:
  `start` - start of the zone
  `end` - end of the zone

Method Detail

### createFromString

    public static TargetZone createFromString(java.lang.String s)

  create target zone

  Parameters:
    `s` - format of the string is start;end;linestyle;fillstyle;label;vertical
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD